org.apache.poi.hslf.model.textproperties

## Class CharFlagsTextProp

- java.lang.Object
- - org.apache.poi.hslf.model.textproperties.TextProp
  - - org.apache.poi.hslf.model.textproperties.BitMaskTextProp
    - - org.apache.poi.hslf.model.textproperties.CharFlagsTextProp

- All Implemented Interfaces:
    Duplicatable, GenericRecord

      public class CharFlagsTextProp
      extends BitMaskTextProp

  Definition for the common character text property bitset, which handles bold/italic/underline etc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOLD_IDX`
    `static int` | `ENABLE_NUMBERING_1_IDX`
    `static int` | `ENABLE_NUMBERING_2_IDX`
    `static int` | `ITALIC_IDX`
    `static java.lang.String` | `NAME`
    `static int` | `RELIEF_IDX`
    `static int` | `RESET_NUMBERING_IDX`
    `static int` | `SHADOW_IDX`
    `static int` | `STRIKETHROUGH_IDX`
    `static int` | `UNDERLINE_IDX`

    - ### Fields inherited from class org.apache.poi.hslf.model.textproperties.BitMaskTextProp

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharFlagsTextProp()`
    `CharFlagsTextProp(CharFlagsTextProp other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharFlagsTextProp` | `copy()` Clone, eg when you want to actually make use of one of these.

    - ### Methods inherited from class org.apache.poi.hslf.model.textproperties.BitMaskTextProp

      `clone, cloneAll, getGenericProperties, getSubPropMatches, getSubPropNames, getSubValue, getValue, getWriteMask, setSubValue, setValue, setValueWithMask, setWriteMask`

    - ### Methods inherited from class org.apache.poi.hslf.model.textproperties.TextProp

      `equals, getMask, getName, getSize, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Field Detail

    - #### BOLD_IDX

          public static final int BOLD_IDX

      See Also:
        Constant Field Values

    - #### ITALIC_IDX

          public static final int ITALIC_IDX

      See Also:
        Constant Field Values

    - #### UNDERLINE_IDX

          public static final int UNDERLINE_IDX

      See Also:
        Constant Field Values

    - #### SHADOW_IDX

          public static final int SHADOW_IDX

      See Also:
        Constant Field Values

    - #### STRIKETHROUGH_IDX

          public static final int STRIKETHROUGH_IDX

      See Also:
        Constant Field Values

    - #### RELIEF_IDX

          public static final int RELIEF_IDX

      See Also:
        Constant Field Values

    - #### RESET_NUMBERING_IDX

          public static final int RESET_NUMBERING_IDX

      See Also:
        Constant Field Values

    - #### ENABLE_NUMBERING_1_IDX

          public static final int ENABLE_NUMBERING_1_IDX

      See Also:
        Constant Field Values

    - #### ENABLE_NUMBERING_2_IDX

          public static final int ENABLE_NUMBERING_2_IDX

      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CharFlagsTextProp

          public CharFlagsTextProp()

    - #### CharFlagsTextProp

          public CharFlagsTextProp(CharFlagsTextProp other)

  - ### Method Detail

    - #### copy

          public CharFlagsTextProp copy()

      Description copied from class: `TextProp`
      Clone, eg when you want to actually make use of one of these.
      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `BitMaskTextProp`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.